<?php
/**
* @author PayPay, PAYPAYUE- Instituição de Pagamento, Unipessoal, Lda
* @package VirtueMart
* @subpackage payment
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* VirtueMart is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See /administrator/components/com_virtuemart/COPYRIGHT.php for copyright notices and details.
*
* http://virtuemart.org
*/

if (!defined('_VALID_MOS') && !defined('_JEXEC')) die('Direct Access to '.basename(__FILE__).' is not allowed.');

class RequestBillingAddress
{
    /** @var String ISO 3166-2*/
    public $country;

    /** @var String ISO 3166-2*/
    public $state;

    /** @var String*/
    public $stateName;
    
    /** @var String */
    public $city;
    
    /** @var String */
    public $street1;

     /** @var String */
     public $street2;
    
    /** @var String */
    public $postCode;
    
    public function __construct(
        $country,
        $state,
        $stateName,
        $city,
        $street1,
        $street2,
        $postCode
    ) {
        $this->country   = $country;
        $this->state     = $state;
        $this->stateName = $stateName;
        $this->city      = $city;
        $this->street1   = $street1;
        $this->street2   = $street2;
        $this->postCode  = $postCode;
    } 
}
