<?php
/**
* @author PayPay, PAYPAYUE- Instituição de Pagamento, Unipessoal, Lda
* @package VirtueMart
* @subpackage payment
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* VirtueMart is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See /administrator/components/com_virtuemart/COPYRIGHT.php for copyright notices and details.
*
* http://virtuemart.org
*/

if (!defined('_VALID_MOS') && !defined('_JEXEC')) die('Direct Access to '.basename(__FILE__).' is not allowed.');

class RequestEntity
{
    /** @var string */
    public $platformCode;
    /** @var string */
    public $hash;
    /** @var string */
    public $date;
    /** @var string */
    public $nif;
    /** @var string */
    public $lang;
    /** @var array */
    public $info;

    public function __construct($platformCode, $hash, $date, $nif, $lang, $info)
    {
        $this->platformCode = $platformCode;
        $this->hash         = $hash;
        $this->date         = $date;
        $this->nif          = $nif;
        $this->lang         = $lang;
        $this->info         = $info;
    }
}
